'
' This file has been modified to suit the Parallax QuickStart board.
'
' This board supports only serial comms HMI options, such as the PC
' and PROPTERM options (the default is PC). 
'
' It assumes a 5Mhz crystal is installed. 
'
' Programs should be compiled to use the CUSTOM platform - e.g:
'
'    catalina hello_world.c -lc -D CUSTOM
'
'===============================================================================
'
' QuickStart platform General definitions:
' 
'===============================================================================

KBD_PIN    = -1                 ' BASE PIN  (QuickStart)
MOUSE_PIN  = -1                 ' BASE PIN  (QuickStart)
TV_PIN     = -1                 ' BASE PIN  (QuickStart)
VGA_PIN    = -1                 ' BASE PIN  (QuickStart)
SD_DO_PIN  = -1                 ' QuickStart has no SD Card
SD_CLK_PIN = -1                 ' QuickStart has no SD Card 
SD_DI_PIN  = -1                 ' QuickStart has no SD Card
SD_CS_PIN  = -1                 ' QuickStart has no SD Card
I2C_PIN    = 28                 ' I2C Boot EEPROM SCL Pin
I2C_DEV    = $A0                ' I2C Boot EEPROM Device Address
SI_PIN     = 31                 ' PIN (QuickStart)
SO_PIN     = 30                 ' PIN (QuickStart)
'
DEBUG_PIN  = -1                 ' PIN (QuickStart)
'
' QuickStart platform Clock definitions:
' 
CLOCKMODE = xtal1 + pll16x      ' (QuickStart)
XTALFREQ  = 5_000_000           ' (QuickStart)
CLOCKFREQ = 80_000_000          ' (QuickStart) Nominal clock frequency
                                ' (required by some drivers)
'
' QuickStart platform Loader and InterProp Comms definitions:
'
DEFAULT_CPU   = 0               ' QuickStart has only one CPU
SIO_BAUD      = 115200          ' Baud rate to use for all interprop comms                 
SIO_LOAD_MODE = %0000           ' QuickStart has only one CPU - this is for serial loading
SIO_COMM_MODE = %0000           ' QuickStart has only one CPU - this is for serial loading
TX_PIN        = -1              ' QuickStart has only one CPU
RX_PIN        = -1              ' QuickStart has only one CPU
'
' XMM Base Address. Catalina currently requires one contiguous block 
' of XMM RAM - Note that this is the internal hardware address, not 
' the address the Catalina XMM Kernel uses:
'
XMM_BASE_ADDRESS = $0000_0000   ' XMM adddressing from 0
'
' XMM RW & RO Base Addresses - Note that these are the addresses used
' by the Catalina XMM Kernel - they typically start AFTER the last
' Hub address:
'
XMM_RW_BASE_ADDRESS = -1         ' Read-Write Base address
XMM_RO_BASE_ADDRESS = -1         ' Read-Only Base address
'
' XMM RW & RO Sizes (in bytes):
'
XMM_RW_SIZE = -1                 ' Read-Write Size
XMM_RO_SIZE = -1                 ' Read-Only Size
'
' QuickStart platform Payload pins (SI/SO pins)
'
PAYLOAD_RXPIN = SI_PIN          ' Rx pin to use for Payload comms
PAYLOAD_TXPIN = SO_PIN          ' Tx pin to use for Payload comms
'
' QuickStart platform BlackCat debug pins (SI/SO pins)
'
BLACKCAT_RXPIN = SI_PIN         ' Rx pin to use for BlackCat comms
BLACKCAT_TXPIN = SO_PIN         ' Tx pin to use for BlackCat comms
BLACKCAT_MODE  = %0000          ' SIO mode to use for BlackCat comms
'
' Cog Allocation. The value LAST_COG specifies the last cog that will 
' be restarted during the load process. It should be set to one less than
' the cog used for the CogStore. If the Cache is in use it will always be
' started in Cog 7, and if CogStore is in use it will always be started in
' the next lower cog. Set this value lower still to reserve one or more cogs 
' for other purposes. Note that it is still the users responsibility to 
' ensure that the combination of loaded drivers and plugins does not 
' exceed this value. Note also that the CogStore cog can be used by an
' application - it is not restarted during the load process (otherwise 
' its values would be lost) - but it is restarted before any user 
' plugins are loaded. 
'
#ifdef CACHED

CACHE_COG    = 7                ' XMM Cache driver will use this cog
STORE_COG    = 6                ' Catalina CogStore will use this cog
LAST_COG     = 5                ' Last cog to be restarted is 5
'
' The following constant determines the number of longs used in the
' cache cog index - it can be reduced (e.g. to 6) if the XMM API 
' is so large it needs more space even in the cache cog (e.g. for 
' QUAD FLASH boards):
'
CACHE_INDEX_LOG2 = 7            ' log2 of entries in cache index

#else

CACHE_COG    = -1               ' XMM Cache driver not loaded
STORE_COG    = 7                ' Catalina CogStore will use this cog
LAST_COG     = 6                ' Last cog to be restarted is 6

#endif 


